View Issue Details

IDProjectCategoryLast Update
0023183AI War 2[All Projects] Bug - GameplayMay 19, 2020 4:07 pm
ReporterPireciterAssigned Tox4000Bughunter 
Severitymajor 
Status resolvedResolutionfixed 
Product VersionBeta 2.042 Journals, Cheats, And EXP Retirement 
Fixed in VersionBeta 2.044 Scientific Equality 
Summary0023183: Strikercraft/Frigates inherit Golem Mk. levels
DescriptionLoad a golem up with strikecraft/frigates. They will upgrade by the same Mark count as the golem.

Say you have Mk.III daggers and load them in a Mk.V golem. Now you have Mk.VII daggers.

Swapping ships off the golem removes the Mk. additions.


Attached save: Go check the Artillery golem that's causing havoc.
TagsNo tags attached.

Activities

Pireciter

May 14, 2020 9:45 pm

reporter  

golem insane.savemet (87 bytes)
golem insane.save (613,712 bytes)

BadgerBadger

May 15, 2020 11:38 am

manager   ~0056990

A related issue from steam:

 just tried the beta, apparently there's no way to upgrade transports, combat factories, or spire frigates at all. Seems like a bit of an oversight but hey, it's a beta. (credit user Poppy)

x4000Bughunter

May 19, 2020 12:37 pm

administrator   ~0057029

Technically this is the expected behavior, as these are fleet upgrades. It's the same thing with command station upgrades.

This is basically something that we used to have happen with the fleet EXP stuff, but then we had limiters on it. I agree that in the current case it doesn't make sense and needs to be adjusted.

x4000Bughunter

May 19, 2020 4:07 pm

administrator   ~0057035

Thanks!

* Added a new is_upgradeable_by_direct_science xml tag, which lets certain centerpieces allow for upgrades like golems or arks do.
** This is assigned to combat factories and transports.

* Also added is_spire_lone_wolf, which does the same thing, but uses its own cost schedule that is separate from those of arks, golems, and "other."
** This is applied to the lone spire frigates.

* Added a new this_centerpiece_grants_its_direct_science_upgrades_to_rest_of_fleet, which now must be true in order for anything beyond the centerpiece in a fleet to get upgrades from the centerpiece's science upgrades.
** This was basically true for all the command stations, previously, which were all that used direct science upgrades. And it needs to be used for fallen spire cities, which use science upgrade data under the hood (though not in the interface). But for things like golem fleets, they REALLY need to not apply to their ships.

* Added a new this_unit_gets_direct_science_upgrades_from_central_fleet, which now must ALSO be true on specific ship lines in order for the this_centerpiece_grants_its_direct_science_upgrades_to_rest_of_fleet to pass to themm.
** This simply defaults to true. In cases where for some reason we want to turn it off, this exists. This is probably overkill and can be ignored, but is useful to have just in case.

* Various parts of the interface have been improved to further explain the mechanics as needed, and clarify if something upgrades just the golem/ark itself, or if it upgrades the rest of the fleet along with it.

* TLDR of most of the above:
** Combat Factories and Transports can now be upgraded by spending direct science. But it is configured to not benefit their fleets.
** Unlike the last two beta versions, upgrading a golem or ark now won't upgrade its fleet as well. That was crazy OP, and different from how things worked when EXP was a thing.
** Lost Spire Frigates now work like the golems.
** Fallen Spire cities should continue to work like they always have.
** Arks, Golems, Lost Spire Frigates, Battlestations, Command Stations, and "anything else" all now can have their own upgrade costs that are separate from one another.

Issue History

Date Modified Username Field Change
May 14, 2020 9:45 pm Pireciter New Issue
May 14, 2020 9:45 pm Pireciter File Added: golem insane.save
May 14, 2020 9:45 pm Pireciter File Added: golem insane.savemet
May 14, 2020 10:02 pm BadgerBadger Assigned To => x4000Bughunter
May 14, 2020 10:02 pm BadgerBadger Status new => assigned
May 15, 2020 11:38 am BadgerBadger Note Added: 0056990
May 19, 2020 12:37 pm x4000Bughunter Note Added: 0057029
May 19, 2020 4:07 pm x4000Bughunter Status assigned => resolved
May 19, 2020 4:07 pm x4000Bughunter Resolution open => fixed
May 19, 2020 4:07 pm x4000Bughunter Fixed in Version => Beta 2.044 Scientific Equality
May 19, 2020 4:07 pm x4000Bughunter Note Added: 0057035